# Sign Up A light-weight API to sign up customers and subscribe. You need to have the [Orders](https://knowledgecenter.zuora.com/Zuora_Billing/Subscriptions/Orders) or [Orders Harmonization](https://knowledgecenter.zuora.com/Zuora_Billing/Subscriptions/Orders/Orders_Harmonization) feature enabled to use this API. ## Sign up - [POST /v1/sign-up](https://developer.zuora.com/v1-api-reference/api/sign-up/post_signup.md): This call performs many actions. You can use this operation to implement the standard requirements for signing up a customer, such as validating the uniqueness of an account and limiting the number of subscriptions per account. Also, you can use this operation to create a subscription, generate an invoice, and collect payment for a new or existing customer. Note: You need to have the Orders or Orders Harmonization feature enabled to use this API. For a new customer, you can perform the following tasks in one call. Note that you can skip creating a payment meethod and still get the subscription and invoice successfully created. * Create an account * Create a payment method * Subscribe to a product in the product catalog and create a subscription * Generate an invoice * Collect payment For an existing customer, you can use an account identification field of an external system to specify the account. You can make make asynchronous requests when using the "Sign up" operation. This call supports a subset of the functionality of our Create an order call. We generally recommend using "Create an order" instead of this call because the Orders call has the following advantages: - Provides options for managing the entire subscription lifecycle from creation through to cancellation using different order actions. - Allows the creation or modifying of multiple subscriptions in a single order. - Allows a single order to combine both recurring subscription digital goods or services with order line items for physical goods. - Orders are treated as atomic transactions. If any part fails, the entire order, subscription, and billing account creation are rolled back. This call does have some unique abilities not supported by "Create an order". You should consider using this call when you need to: - Use Account UPSERT functionality by specifying a custom external identifier. - Limit the number of subscriptions on an account There are no deprecation plans for this call and we will continue to support this call.